Bug 218597 - refresh of progress bar is unnecessary frequent
refresh of progress bar is unnecessary frequent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 07:28 EST by Josef Kubin
Modified: 2013-07-02 19:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Kubin 2006-12-06 07:28:07 EST
Description of problem:
On congested line it is unpleasant problem, because copy of even small file
lasts too long - sometimes 20 and more times longer than the same operation from
command line. Perfect feedback usually isn't too important.
The function of the progress bar is to inform user that something is happening
but not to brake own operation.

Version-Release number of selected component (if applicable):
mc-4.6.1a-30.fc6

How reproducible:
always
Comment 1 Bug Zapper 2008-04-03 14:45:25 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Josef Kubin 2008-04-04 09:46:16 EDT
*Sigh* :-( , here is a testcase - I've tested it on RHEL5 running on my scrap:
(RHEL5 will be living longer than Fedora)

$ dd if=/dev/zero of=zero count=2
$ for i in {0..9};do for j in {0..999};do cp zero $i.$j.0;done;done

1) ... copy files to different directory with 'cp' ...
2) delete them (because of influence cache).
3) ... copy files to different directory with 'mc' ...
4) ... copy files to different directory with 'cp' ...
5) compare resulting time

My results:
$ time cp *.0 cp/

real    0m0.862s
user    0m0.130s
sys     0m0.567s

The same operation through mc takes 4.0s

4/0.563 = 7.10479573712255772646

And it means, that graphics stuff slows down copy of 10002 files more than
7-times on my local machine.
I can't imagine to use mc on congested line.

It hampers copying/deleting and overal performance of mc.
For example, why not to refresh progress bar fourtimes per second at maximum?
Most users don't want exact feedback, they _only_want_to_know_ that something
happens ... (machine is alive, not frozen)

My very first naive idea:
...
  timerWakeUp = 1;

  while(copyInProgress){

    copyBlockOfFile();

    if(timerWakeUp){
      refreshProgressBar();
      refreshPercentage();
      refreshNameOfProgram();
      timerWakeUp = 0;
    }
    else{
      /*
       * copied names of files will be thrown out
       * (they will not be displayed)
       *
       */
    }
  }
...

void timerHndl()
{
  timerWakeUp = 1;
}
Comment 3 Jindrich Novy 2008-04-05 06:40:32 EDT
Thanks for the analysis.

Please don't move Fedora/rawhide bugs to RHEL. Just clone them instead if you
wish, but bear in mind there is almost no chance it gets fixed in RHEL, since
this bug is minor and not critical in any kind and not reported by a customer. 

Furthermore if you move Fedora bugs to RHEL, they will go out from the Fedora
radar so they won't get fixed in any upcoming RHEL.
Comment 4 Bug Zapper 2008-05-13 22:29:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tony Fu 2008-10-05 21:29:25 EDT
User jkubin@redhat.com's account has been closed
Comment 6 Bug Zapper 2009-06-09 18:21:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:02:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.